<template>
  <el-menu
    class="md:mx-5 el-menu-demo flex-1 flex justify-center"
    mode="horizontal"
    menu-trigger="click"
  >
    <el-submenu index="1">
      <template slot="title" class="more">Menu</template>

      <el-menu-item
        v-for="(link, index) in nav_link_list"
        :key="index"
        :index="`1-${index + 1}`"
        class="flex items-center justify-center flex-1 h-full"
      >
        <nuxt-link :to="link.to_path">
          {{ link.content }}
        </nuxt-link>
      </el-menu-item>
      <el-menu-item index="1-7">
        <nuxt-link
          to="/package"
          class="flex items-center justify-center flex-1"
        >
          Package
        </nuxt-link>
      </el-menu-item>
      <el-menu-item index="1-8">
        <nuxt-link
          to="/contact"
          class="flex items-center justify-center flex-1"
        >
          Contact
        </nuxt-link>
      </el-menu-item>
    </el-submenu>
  </el-menu>
</template>

<script>
export default {
  props: {
    nav_link_list: {
      type: Array,
      default: [],
    },
  },
}
</script>

<style scoped>
.el-menu-item,
.el-submenu {
  height: 100% !important;
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
}

.el-submenu >>> .el-submenu__title {
  height: 100% !important;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
  padding: 0 !important;
}
.el-menu {
  display: flex;
  flex: 1;
}
.el-menu-item + .is-active {
  color: #444444 !important;
  font-weight: 600;
}
.el-submenu.is-active >>> .el-submenu__title {
  color: #444444 !important;
  font-weight: 600 !important;
}
li.is-active {
  color: #444444 !important;
  font-weight: 600 !important;
}
</style>
